Subject: [Stox] Fwd: Re: Post-WGLC Review: draft-ietf-stox-chat

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 22 Jan 2014 12:07:21 -0700

Forgot to reply to all.

Peter

-------- Original Message --------
Subject: Re: [Stox] Post-WGLC Review: draft-ietf-stox-chat
Date: Wed, 22 Jan 2014 12:07:00 -0700
From: Peter Saint-Andre <[email-masked]>
To: Mary Barnes <[email-masked]>

And thanks for this review, too.

On 12/24/13 1:57 PM, Mary Barnes wrote:
> HI all,
> 
> I've reviewed the document and believe it's ready to progress with a few
> changes/minor nits fixed:
> 
> 1) Section 3.    The text related to F6 uses the term MSRP user agent.
> That term isn't used at all in RFC 4975, in particular since an MSRP
> user doesn't have to be a SIP User agent.  I would suggest to just
> reword as follows:
> OLD
>    Romeo can then send a reply using his MSRP user agent.
> NEW
>    Romeo can then send a reply using his MSRP client.

Makes sense.

> 2) Section 4.  The numbered references to Fx are off by one starting
> with Example 16:, which should be F7 and not F8.  F9 should be F8 and
> F10 should be F9. 

Good catch!

> 3) Section 9.  RFC 4975 should be referenced for security for MSRP
> rather than RFC 3428.  

Yes.

> 4) References.  RFC 3428 should be removed as a reference as MSRP/RFC
> 4975 is entirely independent of the MESSAGE/RFC 3428.   

You are right.

There are also some stray words about SIMPLE instead of MSRP, so I'll
fix those at the same time.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/